;----------------------------------------
; Fixes roundtimer from 5:30 to 15 min
;-----------------------------------------
modify:
{
	match:
	{
        "classname" "logic_auto"
        "origin" "125 -15181 -93"
	}
	delete:
	{
        "OnMapSpawn" "com,Command,mp_roundtime 5.5,0,-1"
		"OnMapSpawn" "random_musik,PickRandom,,0,-1"
	}
	insert:
	{
        "OnMapSpawn" "com,Command,mp_roundtime 15,0,-1"
		"OnMapSpawn" "random_musik,PickRandomShuffle,,0,-1"
	}
}
;--------------------------------------------------
; Does so music is played for the rest of the map
;--------------------------------------------------
modify:
{
	match:
	{
		"origin" "987 -5810.96 277.08"
	}
	delete:
	{
		"OnStartTouch" "!self,Disable,,0,-1"
	}
	insert:
	{
		"OnStartTouch" "random_musik,PickRandomShuffle,,30,1"
		"OnStartTouch" "random3,Volume,0,29,1"
		"OnStartTouch" "random2,Volume,0,29,1"
		"OnStartTouch" "random4,Volume,0,29,1"
		"OnStartTouch" "random6,Volume,0,29,1"
		"OnStartTouch" "random5,Volume,0,29,1"
		"OnStartTouch" "random7,Volume,0,29,1"
	}
}
;--------------------------------------------------
; Replaces all trigger_multiple with trigger_once
;--------------------------------------------------
modify:
{
	match:
	{
		"classname" "trigger_multiple"
	}
	replace:
	{
		"classname" "trigger_once"
	}
}




;; music volume

modify:
{
	match:
	{
		"message" "music/hotline_miami_02. m.o.o.n - hydrogen.mp3"
		"classname" "ambient_generic"
	}
	replace:
	{
		"message" "#music/hotline_miami_02. m.o.o.n - hydrogen.mp3"
	}
}
modify:
{
	match:
	{
		"message" "music/hotline_miami_03. m.o.o.n - paris.mp3"
		"classname" "ambient_generic"
	}
	replace:
	{
		"message" "#music/hotline_miami_03. m.o.o.n - paris.mp3"
	}
}
modify:
{
	match:
	{
		"message" "music/hotline_miami_04. m.o.o.n - crystals.mp3"
		"classname" "ambient_generic"
	}
	replace:
	{
		"message" "#music/hotline_miami_04. m.o.o.n - crystals.mp3"
	}
}
modify:
{
	match:
	{
		"message" "music/03. light club - blizzard.mp3"
		"classname" "ambient_generic"
	}
	replace:
	{
		"message" "#music/03. light club - blizzard.mp3"
	}
}
modify:
{
	match:
	{
		"message" "music/31. iamthekidyouknowwhatimean - run.mp3"
		"classname" "ambient_generic"
	}
	replace:
	{
		"message" "#music/31. iamthekidyouknowwhatimean - run.mp3"
	}
}
modify:
{
	match:
	{
		"message" "music/11. magna - divide.mp3"
		"classname" "ambient_generic"
	}
	replace:
	{
		"message" "#music/11. magna - divide.mp3"
	}
}

